linux-ec2: 2.6.32-366.80 -proposed tracker

Bug #1328287 reported by Brad Figg on 2014-06-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 09. June 2014 22:00 UTC
kernel-stable-master-bug:1328140
kernel-stable-Certification-testing-end:Wednesday, 11. June 2014 12:01 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. June 2014 14:02 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. June 2014 14:02 UTC
ppa-package-testing-start:Wednesday, 11. June 2014 15:00 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 12. June 2014 02:01 UTC
kernel-stable-Security-signoff-start:Thursday, 12. June 2014 03:01 UTC
kernel-stable-Verification-testing-start:Thursday, 12. June 2014 03:01 UTC
kernel-stable-Regression-testing-start:Thursday, 12. June 2014 03:01 UTC
kernel-stable-Promote-to-updates-start:Thursday, 19. June 2014 16:31 UTC
kernel-stable-Regression-testing-end:Thursday, 19. June 2014 16:31 UTC
kernel-stable-Security-signoff-end:Thursday, 19. June 2014 16:31 UTC
kernel-stable-Promote-to-updates-end:Friday, 20. June 2014 17:29 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 24. June 2014 14:52 UTC

CVE References

This tracking bug was opened to be worked from linux-2.6.32-62.125 update (bug 1328140)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Adam Conrad (adconrad) on 2014-06-10
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Stefan Bader (smb) on 2014-06-11
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-366.80 -proposed tracker
Brad Figg (brad-figg) on 2014-06-11
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-06-11
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-06-12
description: updated
Brad Figg (brad-figg) on 2014-06-12
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs to verify.

Para Siva (psivaa) on 2014-06-17
tags: added: qa-testing-passed
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-06-19
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-366.80

---------------
linux-ec2 (2.6.32-366.80) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-62.125
  * Release Tracking Bug
    - LP: #1328287

  [ Upstream Kernel Changes ]

  * blkfront: fixes for 'xm block-detach ... --force'
    - LP: #1326870
  * blkfront: don't access freed struct xenbus_device
    - LP: #1326870
  * blkfront: Clean up vbd release
    - LP: #1326870
  * blkfront: Lock blkfront_info when closing
    - LP: #1326870

  [ Ubuntu: 2.6.32-62.125 ]

  * SAUCE: (no-up) Fix regression introduced by patch, for CVE-2014-3153
    - LP: #1327300
  * [Config] add debian/gbp.conf
  * filter: prevent nla extensions to peek beyond the end of the message
    - LP: #1319561, #1319563
    - CVE-2014-3145
 -- Stefan Bader <email address hidden> Wed, 11 Jun 2014 11:13:31 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released

The verification of the Stable Release Update for linux-ec2 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2014-06-20
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers